PETSc version 3.15.5
Fix/Edit manual page

# MatCreateNormal

Creates a new matrix object that behaves like A'*A.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateNormal(Mat A,Mat *N)

Collective on Mat

### Input Parameter

| A | - the (possibly rectangular) matrix

### Output Parameter

| N | - the matrix that represents A'*A

### Notes

The product A'*A is NOT actually formed! Rather the new matrix object performs the matrix-vector product by first multiplying by A and then A'

### Level

intermediate

### Location

src/mat/impls/normal/normm.c

### Examples

src/ksp/ksp/tutorials/ex27.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages